<?php
class RenamedActivitiesTable extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'renamed_activities_table';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'rename_table' => array(
				'buzz_photos_activities' => 'buzz_photos_activity_groups',
			),
		),
		'down' => array(
			'rename_table' => array(
				'buzz_photos_activity_groups' => 'buzz_photos_activities',
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		if ($direction == 'up') {
			$Menu = ClassRegistry::init('Navigation.Menu');
			$menu = $Menu->find('first', array(
				'conditions' => array(
					'url' => '/admin/buzz_photos/activities'
				)
			));

			if (! empty($menu)) {
				$menu['Menu']['url'] = '/admin/buzz_photos/activity_groups';
				$menu['Menu']['pattern'] = '\/^\/admin\/buzz_photos\/activity_groups\//';

				$Menu->save($menu);
			}
		}


		return true;
	}
}
